org.eclipse.viatra.query.runtime.rete.recipes

## Interface ExpressionDefinition

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ExpressionDefinitionImpl

      public interface ExpressionDefinition
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Expression Definition'.

  The following features are supported:

  - `Evaluator`
  See Also:
    `RecipesPackage.getExpressionDefinition()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEvaluator()` Returns the value of the 'Evaluator' attribute.
    `void` | `setEvaluator(java.lang.Object value)` Sets the value of the '`Evaluator`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getEvaluator

          java.lang.Object getEvaluator()

      Returns the value of the 'Evaluator' attribute.
      Returns:
        the value of the 'Evaluator' attribute.
      See Also:
        `setEvaluator(Object)`, `RecipesPackage.getExpressionDefinition_Evaluator()`
      Generated:
      Model:
        unique="false"

    - #### setEvaluator

          void setEvaluator(java.lang.Object value)

      Sets the value of the '`Evaluator`' attribute.
      Parameters:
        `value` - the new value of the 'Evaluator' attribute.
      See Also:
        `getEvaluator()`
      Generated: